## minigalaxy 1.2.2

=== requirements.txt ===
requests
PyGObject

## minigalaxy 0.9.1

=== debian/changelog ===
minigalaxy (0.9.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Dec 2019 16:52:09 -0800

minigalaxy (0.9.1) buster; urgency=medium

  * Fixed crashes and freezes sometimes happening while downloading and
    installing games.
  * Fixed installation failing when the installation directory is not on same
    filesystem as /home.
  * Fixed downloads crashing when the installation directory is changed or the
    refresh button is pressed.
  * Fixed changing installation directory not loading which games are
    installed in the new directory.
  * Fixed copyright file in deb package not being machine readable.
  * Moved binary to /usr/games in the deb package.
  * Add command line options --help, --version and --reset. The reset option
    will reset the cache and configuration.

 -- Wouter Wijsman <wwijsman@live.nl>  Fri, 27 Dec 2019 22:31:31 +0100

minigalaxy (0.9.0) buster; urgency=medium

  * Initial Release.

 -- Wouter Wijsman <wwijsman@live.nl>  Tue, 24 Dec 2019 12:09:27 +0100

=== debian/control ===
Source: minigalaxy
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Wouter Wijsman <wwijsman@live.nl>
Build-Depends: debhelper (>= 11),
               dh-python,
               help2man,
               python3-all,
               python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/sharkwouter/minigalaxy
X-Python3-Version: >= 3.6

Package: minigalaxy
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         python3-gi (>= 3.30),
         python3-gi-cairo,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Description: Simple GOG Linux client
 Allows you to download and play Linux games from the gog.com game store.
 Requires a GOG or Facebook account to work.
 .
 Besides installing games, it offers the following feature:
  - Select in which language you'd prefer to download your games
  - Change where games are installed
  - Search your GOG Linux library
  - Show all games or just the ones you've installed
  - View the error message if a game fails to launch

## minigalaxy 0.9.2

=== debian/changelog ===
minigalaxy (0.9.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
    * Added a button to installed games which allow you to:
    * Uninstall a game.
    * Open the directory in which the game is installed.
  * Added translations for the following languages:
    * Dutch
    * Taiwanese Mandarin (thanks to s8321414)
    * German (thanks to BlindJerobine)
  * Added offline mode.
  * The system's Dosbox and Scummvm installations are now preferred over
    the ones bundled with games.
  * Improved game detection to check in all directories in
    the installation path.
  * Added the option to keep game installers (thanks to Odelpasso).
  * Added the option to disable staying logged in (thanks to Odelpasso).
  * The preferences menu now uses a file picker for setting
    the installation path (thanks to Odelpasso).
  * Startup time has been reduced.
  * Games which aren't installed are now grayed out.
  * Fixed FTL not being able to start.
  * Fixed issue with thumbnails sometimes not fully loading.
  * Fixed potential crash after logging in the first time.
  * Fixed close button on about window not working.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 08 Jan 2020 22:15:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: minigalaxy
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Wouter Wijsman <wwijsman@live.nl>
 Build-Depends: debhelper (>= 11),
                dh-python,
@@ -19,8 +19,10 @@
          python3-gi (>= 3.30),
          python3-gi-cairo,
          python3-requests,
+         xdg-utils
          ${misc:Depends},
          ${python3:Depends}
+Recommends: dosbox, scummvm, wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386
 Description: Simple GOG Linux client
  Allows you to download and play Linux games from the gog.com game store.
  Requires a GOG or Facebook account to work.
@@ -31,3 +33,5 @@
   - Search your GOG Linux library
   - Show all games or just the ones you've installed
   - View the error message if a game fails to launch
+ .
+ A GOG account is required to use this software.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_DISABLE=test
export PYBUILD_NAME=minigalaxy
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/games/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	help2man -N -s 6 -n "a simple GTK based GOG Linux client" bin/minigalaxy > debian/minigalaxy.6
	dh_auto_build

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## minigalaxy 1.0.0+git20210104

=== debian/changelog ===
minigalaxy (1.0.0+git20210104-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed debian/source format to quilt

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Jan 2021 10:17:28 -0500

minigalaxy (1.0.0) buster; urgency=medium
  * Games can now be updated (thanks to mdgomes and makson96)
  * DLC can now be installed and updated (thanks to makson96)
  * The installed filter now also shows games which are downloading (thanks to makson96)
  * Fix crash on some systems where /usr/bin is linked to /bin (thanks to sgn)
  * Create new config file if old one is unreadable (thanks to SvdB-nonp)
  * Fix some Windows games not installing because of the directory name used (thanks to SvdB-nonp)
  * Fix some Windows games like Witcher 3 not launching because of the working directory not being set (thanks for kibun1)
  * Clean up installation files for cancelled downloads (thanks to SvdB-nonp)
  * Fix crash on flaky internet connection (thanks to makson96)
  * Use 755 permissions for all directories created by Minigalaxy
  * Remove cached files when cancelling a download (thanks to svdB-nonp)
  * Installed games should no longer be shown twice (thanks to makson96)
  * Add the following translations:
    * Simplified Chinese (thanks to dummyx)
    * Spanish (thanks to juanborda)
  * Update the following translations:
    * Brazilian Portuguese (thanks to EsdrasTarsis)
    * Dutch
    * French (thanks to Thomasb22)
    * German (thanks to BlindJerobine)
    * Norwegian Bokmål (thanks to kimmalmo)
    * Russian (thanks to protheory8)
    * Taiwanese Mandarin (thanks to s8321414)
    * Turkish (thanks to fuzunspm)

 -- Wouter Wijsman <wwijsman@live.nl>  Sun, 29 Nov 2020 13:24:10 +0100

minigalaxy (0.9.4) buster; urgency=medium
  * Added the following translations:
    * Norwegian Nynorsk (thanks to LordPilum)
    * Russian (thanks to protheory8)
  * Updated the following translations:
    * Brazilian Portuguese (thanks to EsdrasTarsis)
    * French (thanks to Thomasb22)
    * German (thanks to BlindJerobine)
    * Norwegian Bokmål (thanks to kimmalmo)
    * Polish (thanks to ArturWroblewski)
    * Taiwanese Mandarin (thanks to s8321414)
    * Turkish (thanks to fuzunspm)
  * Added support for installing Windows games (with help from Odelpasso).
  * Added store page link to game menus (thanks to larslindq).
  * Fixed game directories being created without any spaces in the name (thanks to larslindq).
  * Fixed thumbnails not being downloaded for already installed games.
  * Fixed symlinks to libraries not being created correctly upon installation.
  * Made preparations for a Flathub package.
  * Added all contributors and translators to the about window.

 -- Wouter Wijsman <wwijsman@live.nl>  Mon, 20 Apr 2020 20:51:08 +0200

minigalaxy (0.9.3) buster; urgency=medium
  * Added the following translations:
    * German (thanks to BlindJerobine)
    * Turkish (thanks to fuzunspm)
    * Brazilian Portuguese (thanks to EsdrasTarsis)
    * Norwegian Bokmål (thanks to kimmalmo)
    * Polish (thanks to ArturWroblewski)
    * French (thanks to thomansb22)
  * Added option to cancel downloads.
  * Changed the way games are downloaded to a queue instead of trying to download everything at once.
  * Added support option to game specific menus which open the GOG support page (thanks to BlindJerobine).
  * Ask for confirmation before uninstalling (thanks to Odelpasso).
  * Downloads can now be resumed after having been cancelled before.
  * Installers are now verified before installing.
  * The active download is now resumed when restarting Minigalaxy.
  * Fixed issue with games not downloading.

 -- Wouter Wijsman <wwijsman@live.nl>  Wed, 04 Mar 2020 21:15:37 +0100

minigalaxy (0.9.2) buster; urgency=medium

  * Added a button to installed games which allow you to:
    * Uninstall a game.
    * Open the directory in which the game is installed.
  * Added translations for the following languages:
    * Dutch
    * Taiwanese Mandarin (thanks to s8321414)
    * German (thanks to BlindJerobine)
  * Added offline mode.
  * The system's Dosbox and Scummvm installations are now preferred over
    the ones bundled with games.
  * Improved game detection to check in all directories in
    the installation path.
  * Added the option to keep game installers (thanks to Odelpasso).
  * Added the option to disable staying logged in (thanks to Odelpasso).
  * The preferences menu now uses a file picker for setting
    the installation path (thanks to Odelpasso).
  * Startup time has been reduced.
  * Games which aren't installed are now grayed out.
  * Fixed FTL not being able to start.
  * Fixed issue with thumbnails sometimes not fully loading.
  * Fixed potential crash after logging in the first time.
  * Fixed close button on about window not working.

 -- Wouter Wijsman <wwijsman@live.nl>  Tue, 07 Jan 2020 21:22:38 +0100

=== debian/control ===
Source: minigalaxy
Section: games
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Wouter Wijsman <wwijsman@live.nl>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               help2man,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/sharkwouter/minigalaxy.git
Vcs-Browser: https://github.com/sharkwouter/minigalaxy
Homepage: https://sharkwouter.github.io/minigalaxy/

Package: minigalaxy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-requests,
         python3-gi (>= 3.29.1),
         python3-gi-cairo,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         unzip,
         xdg-utils,
Suggests: dosbox,
          scummvm,
          wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386,
Description: Simple GOG Linux client
 Allows you to download and play Linux games from the gog.com game store.
 .
 Besides installing games, it offers the following feature:
  - Update your games
  - Install and update DLC
  - Select in which language you'd prefer to download your games
  - Change where games are installed
  - Search your GOG Linux library
  - Show all games or just the ones you've installed
  - View the error message if a game fails to launch
 .
 A GOG account is required to use this software.

## minigalaxy 1.0.1

=== debian/changelog ===
minigalaxy (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #977585)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Thu, 07 Jan 2021 16:00:36 +0100

## minigalaxy 1.0.2

=== debian/changelog ===
minigalaxy (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Tue, 02 Feb 2021 10:42:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: minigalaxy
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Wouter Wijsman <wwijsman@live.nl>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
                python3-all,
@@ -10,8 +10,8 @@
                help2man,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/sharkwouter/minigalaxy.git
-Vcs-Browser: https://github.com/sharkwouter/minigalaxy
+Vcs-Browser: https://salsa.debian.org/games-team/minigalaxy
+Vcs-Git: https://salsa.debian.org/games-team/minigalaxy.git
 Homepage: https://sharkwouter.github.io/minigalaxy/
 
 Package: minigalaxy

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%minigalaxy-$1.tar.gz%" \
    https://github.com/sharkwouter/minigalaxy/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## minigalaxy 1.1.0

=== debian/changelog ===
minigalaxy (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 09 Nov 2021 19:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: minigalaxy
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
+Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
                python3-all,
@@ -28,6 +28,7 @@
 Suggests: dosbox,
           scummvm,
           wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386,
+          innoextract,
 Description: Simple GOG Linux client
  Allows you to download and play Linux games from the gog.com game store.
  .

## minigalaxy 1.1.0+git20211125

=== debian/changelog ===
minigalaxy (1.1.0+git20211125-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Add gettext to build depends.
  * Move innoextract to depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 30 Nov 2021 08:47:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: minigalaxy
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
                help2man,
+               gettext
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/minigalaxy
@@ -25,10 +27,10 @@
          gir1.2-webkit2-4.0,
          unzip,
          xdg-utils,
+         innoextract
 Suggests: dosbox,
           scummvm,
-          wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386,
-          innoextract,
+          wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386
 Description: Simple GOG Linux client
  Allows you to download and play Linux games from the gog.com game store.
  .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_DISABLE=test
export PYBUILD_NAME=minigalaxy
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/games/

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	help2man -N -s 6 -n "a simple GTK based GOG Linux client" bin/minigalaxy > debian/minigalaxy.6
	dh_auto_build

## minigalaxy 1.2.2

=== debian/changelog ===
minigalaxy (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Add unrar-free as alternative to unrar (Closes: #1021558)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 23 Oct 2022 16:51:21 +0200

minigalaxy (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 25 Sep 2022 20:50:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: minigalaxy
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
                python3-all,
+               python3-requests,
                python3-setuptools,
                help2man,
-               gettext
+               gettext,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/minigalaxy
@@ -24,13 +24,16 @@
          python3-gi (>= 3.29.1),
          python3-gi-cairo,
          gir1.2-gtk-3.0,
+         gir1.2-glib-2.0,
+         gir1.2-gdkpixbuf-2.0,
          gir1.2-webkit2-4.0,
          unzip,
          xdg-utils,
-         innoextract
+         unrar | unrar-free,
 Suggests: dosbox,
           scummvm,
-          wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386
+          wine32 | wine32-development | wine-stable-i386 | wine-devel-i386 | wine-staging-i386,
+          innoextract,
 Description: Simple GOG Linux client
  Allows you to download and play Linux games from the gog.com game store.
  .

## minigalaxy 1.2.5

=== debian/changelog ===
minigalaxy (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 25 Nov 2023 17:18:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                help2man,
                gettext,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/minigalaxy
 Vcs-Git: https://salsa.debian.org/games-team/minigalaxy.git

## minigalaxy 1.2.6

=== debian/changelog ===
minigalaxy (1.2.6-3) unstable; urgency=medium

  * Team Upload
  * Use canonical address for Games Team

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 13:25:11 +0100

minigalaxy (1.2.6-2) unstable; urgency=medium

  * Depend on gir1.2-webkit2-4.1 instead of gir1.2-webkit2-4.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 26 Jan 2024 13:18:01 +0100

minigalaxy (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 25 Jan 2024 14:45:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: minigalaxy
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
@@ -26,7 +26,7 @@
          gir1.2-gtk-3.0,
          gir1.2-glib-2.0,
          gir1.2-gdkpixbuf-2.0,
-         gir1.2-webkit2-4.0,
+         gir1.2-webkit2-4.1,
          unzip,
          xdg-utils,
          unrar | unrar-free,

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%(\d[\d.]*)%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/sharkwouter/minigalaxy/tags?per_page=100 \
https://api.github.com/repos/sharkwouter/minigalaxy/tarball/refs/tags/(\d[\d.]*)
